Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Interface PortletConstants

public interface PortletConstants

Interface used to store Portlet related constants.

Field Summary
`static int` | `CACHE_LEVEL_SESSION`
`static java.lang.String` | `CACHE_LEVEL_SESSION_STR`
`static int` | `CACHE_LEVEL_SYSTEM`
`static java.lang.String` | `CACHE_LEVEL_SYSTEM_STR` The possible values for the cacheLevel attribute that may appear in the default provider definition file parsed by DefaultProviderDefinition.
`static int` | `CACHE_LEVEL_UNSPECIFIED` The possible values stored for the cacheLevel property.
`static int` | `CACHE_LEVEL_USER`
`static java.lang.String` | `CACHE_LEVEL_USER_STR`
`static java.lang.String` | `DESCRIPTION` Resource attribute name for the portlet description.
`static java.lang.String` | `NAME` Resource attribute name for the portlet name.
`static int` | `REWRITE_URLS_FALSE`
`static int` | `REWRITE_URLS_TRUE`
`static int` | `REWRITE_URLS_UNSPECIFIED` The possible values stored for the rewriteUrls property.
`static java.lang.String` | `SHORTTITLE` Resource attribute name for the portlet short title.
`static java.lang.String` | `TIMEOUTMSG` Resource attribute name for the portlet timeout message.
`static java.lang.String` | `TITLE` Resource attribute name for the portlet title.

Field Detail

### NAME

    public static final java.lang.String NAME

  Resource attribute name for the portlet name. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's name.

### TITLE

    public static final java.lang.String TITLE

  Resource attribute name for the portlet title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's title.

### SHORTTITLE

    public static final java.lang.String SHORTTITLE

  Resource attribute name for the portlet short title. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's short title.

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Resource attribute name for the portlet description. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's description.

### TIMEOUTMSG

    public static final java.lang.String TIMEOUTMSG

  Resource attribute name for the portlet timeout message. If your portlets string meta-data is stored in a resource bundle use this constant to represent the portlet's timeout message.

### CACHE_LEVEL_SYSTEM_STR

    public static final java.lang.String CACHE_LEVEL_SYSTEM_STR

  The possible values for the cacheLevel attribute that may appear in the default provider definition file parsed by DefaultProviderDefinition.

### CACHE_LEVEL_USER_STR

    public static final java.lang.String CACHE_LEVEL_USER_STR

### CACHE_LEVEL_SESSION_STR

    public static final java.lang.String CACHE_LEVEL_SESSION_STR

### CACHE_LEVEL_UNSPECIFIED

    public static final int CACHE_LEVEL_UNSPECIFIED

  The possible values stored for the cacheLevel property.

### CACHE_LEVEL_SYSTEM

    public static final int CACHE_LEVEL_SYSTEM

### CACHE_LEVEL_USER

    public static final int CACHE_LEVEL_USER

### CACHE_LEVEL_SESSION

    public static final int CACHE_LEVEL_SESSION

### REWRITE_URLS_UNSPECIFIED

    public static final int REWRITE_URLS_UNSPECIFIED

  The possible values stored for the rewriteUrls property.

### REWRITE_URLS_FALSE

    public static final int REWRITE_URLS_FALSE

### REWRITE_URLS_TRUE

    public static final int REWRITE_URLS_TRUE

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.